> ## Documentation Index
> Fetch the complete documentation index at: https://bytebeam.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get apiv1firmware bundles



## OpenAPI

````yaml get /api/v1/firmware-bundles
openapi: 3.0.1
info:
  title: Consoled REST APIs
  description: |-
    Once you have gone through the documentation on Bytebeam Cloud, 
                                              you might want to integrate Bytebeam programmatically in your own applications. 
                                              Our REST API is available to you for performing all operations you can do on the Cloud platform UI.
  termsOfService: https://bytebeam.io/terms
  version: 0.0.1
servers:
  - url: https://cloud.bytebeam.io/
security:
  - apiKeyAuth: []
    tenantAuth: []
tags:
  - name: admin
    description: Admin APIs
  - name: devices
    description: Device Management
  - name: data
    description: Data Access APIs
  - name: logs
    description: Audit Logs
  - name: misc
    description: Miscellaneous
externalDocs:
  description: Product Documentation
  url: https://bytebeam.io/docs
paths:
  /api/v1/firmware-bundles:
    get:
      tags: []
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Response697'
            application/transit+msgpack:
              schema:
                $ref: '#/components/schemas/Response697'
            application/transit+json:
              schema:
                $ref: '#/components/schemas/Response697'
            application/edn:
              schema:
                $ref: '#/components/schemas/Response697'
components:
  schemas:
    Response697:
      required:
        - results
      type: object
      properties:
        results:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareBundle'
      additionalProperties: false
    FirmwareBundle:
      required:
        - checksum
        - content_length
        - created_at
        - created_by
        - file_name
        - firmwares
        - id
        - uncompressed_size
        - upload_status
        - version
      type: object
      properties:
        file_name:
          type: string
        uncompressed_size:
          type: integer
          format: int64
        content_length:
          type: integer
          format: int64
        upload_status:
          type: string
          enum:
            - failed
            - completed
            - pending
        checksum:
          type: string
        id:
          type: string
          format: uuid
        version:
          type: string
        created_by:
          type: string
          nullable: true
        firmwares:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareBundleDetail'
        created_at:
          type: string
          format: date-time
      additionalProperties: false
    FirmwareBundleDetail:
      required:
        - checksum
        - component_name
        - content_length
        - dependencies
        - file_name
        - firmware_id
        - is_deactivated
        - uncompressed_size
        - version_number
      type: object
      properties:
        file_name:
          type: string
        uncompressed_size:
          type: integer
          format: int64
          nullable: true
        content_length:
          type: integer
          format: int64
          nullable: true
        firmware_id:
          type: string
          format: uuid
        is_deactivated:
          type: boolean
          nullable: true
        checksum:
          type: string
          nullable: true
        version_number:
          type: string
        component_name:
          type: string
        dependencies:
          type: array
          items:
            $ref: '#/components/schemas/FirmwareBundleDeps'
      additionalProperties: false
    FirmwareBundleDeps:
      required:
        - component_name
        - min_version
      type: object
      properties:
        component_name:
          type: string
        min_version:
          type: string
      additionalProperties: false
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      name: x-bytebeam-api-key
      in: header
      description: API key required to authenticate requests.
    tenantAuth:
      type: apiKey
      name: x-bytebeam-tenant
      in: header
      description: Tenant(Project) name required to identify the project.

````